(Solved) Cannot Determine The Version Of The Linux Kernel Tutorial

Home > Cannot Determine > Cannot Determine The Version Of The Linux Kernel

Cannot Determine The Version Of The Linux Kernel

Selecting previously unselected package zfs-initramfs. src220615th February 2007, 10:06 AMHi I am a newbie too. Setting up zfs-dkms (0.6.0.84-0ubuntu1quantal1) ... Loading new zfs-0.6.0.84 DKMS files... check over here

depmod.... more hot questions question feed about us tour help blog chat data legal privacy policy work here advertising info mobile contact us feedback Technology Life / Arts Culture / Recreation Science Liszewski 208512 add a comment| up vote 2 down vote You can also get the version by cat /proc/version o/p: Linux version 2.6.17-13mdv ([email protected]) (gcc version 4.1.2 20070302 (prerelease) (4.1.2-1mdv2007.1)) #1 Registration is quick, simple and absolutely free.

found checking for working autoheader... yes checking whether make sets ${MAKE}... Running the post_install script: depmod.... Setting up libzfs-dev (0.6.0.84-0ubuntu1quantal1) ...

ZoL needs to be updated for the delayed_work_timer_fn error that you are getting on the Linux 3.7 beta packages. It's easier to rely on cross-distribution tools and solutions. Again, thanks for all your help. ZFS on Linux member ryao commented Nov 6, 2012 Linux 3.7 support has not been finished yet. 3.6 should work, but it likely requires the daily PPA. @dajhorn would know more

Use the dkms install command to reinstall any previous module version. Diff between built and installed module!) vboxhost, 4.2.4, 3.5.0-18-generic, x86_64: installed zfs, 0.6.0.84, 3.6.3-030603-generic, x86_64: installed how ever confused during build it said dkms was the same so why would the Done. https://ubuntuforums.org/archive/index.php/t-1802751.html Use the dkms install command to reinstall any previous module version.

Some distributions are better (enterprise distributions such as Redhat Enterprise Linux). MasterCATZ commented Nov 7, 2012 could you provide the exact command just in case I am missing something on my end before I was doing apt-get purge ubuntu-zfs / spl and Has anyone got any ideas? Reply With Quote 09-10-2012 #5 arttykh View Profile View Forum Posts Private Message View Articles Just Joined!

  1. TODO: Recheck that) elif [ -r /etc/rc.status ]; then source /etc/rc.status [ zz`type -t rc_reset 2>/dev/null` == "zzfunction" ] && dtype="suse" # Then test against Debian, Ubuntu and friends elif [
  2. found checking for working automake...
  3. DKMS: install completed.
  4. what i did was to rpm - e the 2.6.19 kernel entering with the other kernel installed (2.6.18) then I installed the correct i686 kernel and also the headers, then downloaded
  5. Check the existence of a specific, known-to-exist, often-used and unlikely to be renamed function from that core script.
  6. [email protected]:~$ cat /var/lib/dkms/zfs/0.6.0.57/build/make.log DKMS make.log for zfs-0.6.0.57 for kernel 3.2.0-22-generic (x86_64) Wed Apr 4 16:36:33 EDT 2012 make: *** No targets specified and no makefile found.
  7. Done Building dependency tree Reading state information...

zavl: Running module version sanity check. Need to get 0 B/551 kB of archives. spl: Running module version sanity check. Unpacking replacement libzfs-dev ...

Tuxera Support Forum Register • FAQ • Search • Login Tuxera Home View unanswered posts | View active topics It is currently Sun Nov 06, 2016 22:18 Board index All times check my blog Make your decision as to what to do based on that, not just on whether it's a Debian or RedHat system. Load the module manually by running 'insmod /zfs.ko' as root. share|improve this answer answered May 3 '09 at 17:46 Paul de Vrieze 1313 add a comment| up vote 1 down vote You can also check the Grub menu, usually gives you

Need to get 0 B/2,031 kB of archives. Closes: zfsonlinux/zfs#629 53d983d mikhmv commented Apr 4, 2012 New Linux kernel update identify a new problem: run-parts: executing /etc/kernel/postinst.d/dkms 3.2.0-22-generic /boot/vmlinuz-3.2.0-22-generic configure: error: *** Cannot determine the version of Setting up libnvpair1-dbg (0.6.0.84-0ubuntu1quantal1) ... this content How do I change thickness and color of \hline on a table simultaneously؟ Wien's oscillator - amplitude stabilization with Zeners (loop's gain) Add-in salt to injury?

Unpacking replacement libuutil1-dbg ... gotencool1st February 2007, 04:41 AMWhy you are using a custom fuse module?, you can install this from yum. Is your running kernel not the same as 2.6.35.13?

znvpair.ko: Uninstallation Deleting from: /lib/modules/3.2.0-21-generic/updates/dkms/ Original module No original module was found for this module on this kernel.

and i tried all combinations like, 1. ./configure 2. ./configure --enable-kernel-module --with-kernel=/usr/src/kernels/2.6.35.6-45.fc14-i686/ 3. ./configure --enable-kernel-module all results in following sequence loading cache ./config.cache checking for a BSD compatible install... /usr/bin/install -c Main Menu LQ Calendar LQ Rules LQ Sitemap Site FAQ View New Posts View Latest Posts Zero Reply Threads LQ Wiki Most Wanted Jeremy's Blog Report LQ Bug Syndicate Latest Setting up spl-dkms (0.6.0.84-0ubuntu1~quantal1) ... Use the dkms install command to reinstall any previous module version.

Building only for 3.6.6-030606-generic Building initial module for 3.6.6-030606-generic Done. Bad return status for module build on kernel: 3.7.0-999-generic (x86_64) Consult /var/lib/dkms/zfs/0.6.0.84/build/make.log for more information. Preparing to replace libzfs1 0.6.0.80-1ubuntu1quantal1 (using libzfs1_0.6.0.84-0ubuntu1quantal1_amd64.deb) ... http://inviewsoftware.com/cannot-determine/cannot-determine-the-version-of-the-linux-kernel-source.html SPL and ZFS are built from separate source packages, which means that upgrades break when an archive refreshes ZFS before SPL.

Interconnectivity Is it safe to use cheap USB data cables? I am using an i686 kernel but the folder containing it ended in i586 and don't know why, but i changed the folder name to i686. I have installed using XN the xandros-kernel-source and the headers. Building only for 3.7.0-999-generic Building initial module for 3.7.0-999-generic ERROR (dkms apport): kernel package linux-headers-3.7.0-999-generic is not supported Error!

Last edited by sarlacii; 08-06-2009 at 07:54 PM. The time now is 03:18 PM. How do I handle this? found checking for working autoconf...

Original module No original module exists within this kernel Installation Installing to /lib/modules/3.2.0-20-generic/updates/dkms/ zunicode.ko: Running module version sanity check. Also double-check that apt-get update is current. Click Here to receive this Complete Guide absolutely free. share|improve this answer answered Nov 10 '09 at 3:11 David J.

yes checking whether gcc accepts -g... spl.ko: Uninstallation Deleting from: /lib/modules/3.7.0-999-generic/updates/dkms/ Original module No original module was found for this module on this kernel. znvpair.ko: Uninstallation Deleting from: /lib/modules/3.2.0-20-generic/updates/dkms/ Original module No original module was found for this module on this kernel. Please *** configure the kernel before running this script I am using older version of fuse, so that i am receiving this message...